"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
function excludeNodeModulesPackage(...name) {
    const pathPattern = ['node_modules', ...name]
        .join(path_1.sep.replace(/\\/g, '\\\\'));
    return new RegExp(pathPattern);
}
// specific packages that aren't detected automatically, and are already es5
exports.KNOWN_EXCLUDED = [
    excludeNodeModulesPackage('jsrsasign'),
];
exports.STANDARD_EXCLUDED = [
    // webpack add-ins and webpack loaders
    excludeNodeModulesPackage('webpack'),
    excludeNodeModulesPackage('([\\w-_]+)-loader'),
    // webpack dev server
    excludeNodeModulesPackage('webpack-dev-server'),
    excludeNodeModulesPackage('\\(webpack\\)-dev-server'),
    // polyfills
    excludeNodeModulesPackage('@babel', 'runtime'),
    excludeNodeModulesPackage('core-js'),
    excludeNodeModulesPackage('regenerator-runtime'),
];
//# sourceMappingURL=excluded.packages.js.map